# GCP - Secretmanager Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Secretmanager

Vir meer inligting oor Secret Manager, kyk:

{{#ref}}
../gcp-services/gcp-secrets-manager-enum.md
{{#endref}}

### `secretmanager.versions.access`

Dit gee jou toegang om die geheime uit die Secret Manager te lees en kan dalk help om bevoegdhede te eskaleer (afhangend van watter inligting in die geheim gestoor is):

<details>

<summary>Toegang tot geheimweergawe</summary>
```bash
# Get clear-text of version 1 of secret: "<secret name>"
gcloud secrets versions access 1 --secret="<secret_name>"
```
</details>

### `secretmanager.versions.destroy`
Die `secretmanager.versions.destroy` toestemming laat 'n identiteit toe om permanent 'n spesifieke weergawe van 'n geheim in Secret Manager te vernietig (as onherroeplik verwyderd te merk), wat die verwydering van kritieke credentials moontlik kan maak en denial of service kan veroorsaak of die herstel van sensitiewe data kan voorkom.
```bash
gcloud secrets versions destroy <VERSION> --secret="<SECRET_NAME>" --project=<PROJECTID>
```
### `secretmanager.versions.disable`
Die `secretmanager.versions.disable` toestemming laat 'n identiteit toe om aktiewe geheimweergawes in Secret Manager te deaktiveer, wat hul gebruik deur toepassings of dienste wat daarvan afhanklik is tydelik blokkeer.
```bash
gcloud secrets versions disable <VERSION> --secret="<SECRET_NAME>" --project=<PROJECTID>
```
### `secretmanager.secrets.delete`
Die `secretmanager.secrets.delete` toestemming stel 'n identiteit in staat om 'n geheim en al sy gestoorde weergawes heeltemal uit Secret Manager te verwyder.
```bash
gcloud secrets delete <SECRET_NAME> --project=<PROJECT_ID>
```
### `secretmanager.secrets.update`
Die `secretmanager.secrets.update` toestemming laat 'n identiteit toe om 'n secret se metadata en konfigurasie te wysig (byvoorbeeld rotation settings, version policy, labels, en sekere secret properties).
```bash
gcloud secrets update SECRET_NAME \
--project=PROJECT_ID \
--clear-labels \
--rotation-period=DURATION
```
{{#include ../../../banners/hacktricks-training.md}}
